Bug 815130 - [abrt] nautilus-3.4.0-1.fc17: type_get_qdata_L: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.4.0-1.fc17: type_get_qdata_L: Process /usr/bin/nautilus was...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:15b0b719c2fe4e34e73f1cd5163...
:
: 815146 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 14:19 EDT by Michael Gold
Modified: 2015-03-03 18:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 16:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.32 KB, text/plain)
2012-04-22 14:19 EDT, Michael Gold
no flags Details
File: maps (69.30 KB, text/plain)
2012-04-22 14:19 EDT, Michael Gold
no flags Details
File: dso_list (14.10 KB, text/plain)
2012-04-22 14:19 EDT, Michael Gold
no flags Details
File: build_ids (5.89 KB, text/plain)
2012-04-22 14:19 EDT, Michael Gold
no flags Details

  None (edit)
Description Michael Gold 2012-04-22 14:19:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: type_get_qdata_L
executable:     /usr/bin/nautilus
kernel:         3.3.2-1.fc17.x86_64
pid:            1277
pwd:            /home/mgold
remote_result:  NOTFOUND
time:           Sun 22 Apr 2012 02:16:35 PM EDT
uid:            1000
username:       mgold

backtrace:      Text file, 42314 bytes
build_ids:      Text file, 6027 bytes
dso_list:       Text file, 14441 bytes
maps:           Text file, 70959 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mgold/2

core_backtrace:
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x31483 g_type_check_is_value_type libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x33bc1 g_value_type_compatible libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x14368 - libgobject-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x17527d - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1760e7 gtk_list_store_set_valist libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1761e7 gtk_list_store_set libgtk-3.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x521d7 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x5519c - [exe] -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x14025 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x13a6e - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x16bcd g_object_set_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x17377 g_object_set libgobject-2.0.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x8d41b - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x8d848 - [exe] -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0xb7435 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x9e640 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0xb7525 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x99a2f - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x99ad9 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x99cfa - [exe] -
:647c8183274c4626c81e86e7a631a81782a04e65 0x4b377 - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cec8 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x2aee9 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Fedora17
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/mgold/keyring-W7v5WC
:IMSETTINGS_MODULE=none
:USER=xxx	
:USERNAME=xxx
:MAIL=/var/spool/mail/mgold
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mgold/.local/bin:/home/mgold/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mgold
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1037
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mgold
:SHLVL=1
:LOGNAME=mgold
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-kUpXYAUeIb,guid=16c9ea044951dced1b622e4c00000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mgold
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mgold-hZ9cxQ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1042,unix/unix:/tmp/.ICE-unix/1042
:GPG_AGENT_INFO=/run/user/mgold/keyring-W7v5WC/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mgold/keyring-W7v5WC/ssh
:DESKTOP_AUTOSTART_ID=10eb77380e4bfb5d2e133511745465870400000010420017

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62922                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62922                62922                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mgold/.xsession-errors
:pos:	5337
:flags:	0102002
:2:/home/mgold/.xsession-errors
:pos:	5337
:flags:	0102002
:3:socket:[16359]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[16360]
:pos:	0
:flags:	02004002
:6:socket:[16362]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[20481]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:/proc/1277/mounts
:pos:	0
:flags:	0100000
:13:socket:[18358]
:pos:	0
:flags:	02004002
:14:/home/mgold/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:15:/home/mgold/.local/share/gvfs-metadata/home-824a6eda.log
:pos:	0
:flags:	0100000
:16:socket:[19978]
:pos:	0
:flags:	02
:17:socket:[19979]
:pos:	0
:flags:	02004002
:18:/home/mgold/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:19:socket:[19321]
:pos:	0
:flags:	02
:20:socket:[19322]
:pos:	0
:flags:	02004002
:21:socket:[19323]
:pos:	0
:flags:	02
:22:socket:[19324]
:pos:	0
:flags:	02004002
:23:/home/mgold/.local/share/gvfs-metadata/root-90fb20cc.log
:pos:	0
:flags:	0100000
:24:/home/mgold/Documents
:pos:	40
:flags:	02304000
:25:/home/mgold/Documents/Personal-files
:pos:	0
:flags:	02304000

smolt_data:
:
:
:General
:=================================
:UUID: 92a14e52-892d-42a8-9648-840e417441ab
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6052.01
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1035T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 2600
:System Memory: 7948
:System Swap: 9983
:Vendor: To be filled by O.E.M.
:System: To be filled by O.E.M. To be filled by O.E.M.
:Form factor: Desktop
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:23066:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port F)
:(4098:17297:4163:34013) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:23067:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port G)
:(4098:23060:4098:23060) pci, None, HOST/PCI, RD890 PCI to PCI bridge (external gfx0 port B)
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6523:9058:4163:33888) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17285:4098:17285) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33808) pci, snd_hda_intel, MULTIMEDIA, M4A89GTD PRO/USB3 Motherboard
:(4098:17305:4098:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4318:1058:6510:1315) pci, nvidia, VIDEO, G86 [GeForce 8400 GS]
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(5772:41:4486:14973) pci, ath9k, NETWORK, AR922X Wireless Network Adapter
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4098:23064:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port D)
:(4098:23065:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port E)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora17-lv_root / ext4 4096 4096 13081819 11541470 10886110 3276800 3097355 3097355
:/dev/sda2 /boot ext4 1024 1024 508745 409105 383505 128016 127787 127787
:/dev/mapper/vg_fedora17-lv_home /home ext4 4096 4096 106183268 104509814 99194845 26574848 26573147 26573147
:

var_log_messages:
:Apr 22 13:55:03 Fedora17 abrt[4692]: Saved core dump of pid 3455 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-04-22-13:55:02-3455 (64045056 bytes)
:Apr 22 13:55:12 Fedora17 kernel: [69965.787977] nautilus[4728] general protection ip:3fc8a3143f sp:7ffffd282fe0 error:0 in libgobject-2.0.so.0.3200.1[3fc8a00000+4b000]
:Apr 22 13:55:12 Fedora17 abrt[4737]: Not dumping repeating crash in '/usr/bin/nautilus'
:Apr 22 13:55:43 Fedora17 kernel: [69996.267995] nautilus[5067] general protection ip:3fc8a3143f sp:7fffe3183910 error:0 in libgobject-2.0.so.0.3200.1[3fc8a00000+4b000]
:Apr 22 13:55:43 Fedora17 abrt[5236]: Saved core dump of pid 5067 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-04-22-13:55:43-5067 (55001088 bytes)
:Apr 22 14:16:35 Fedora17 kernel: [ 1181.567259] nautilus[1277]: segfault at 360 ip 0000003fc8a31483 sp 00007fff222ea380 error 4 in libgobject-2.0.so.0.3200.1[3fc8a00000+4b000]
:Apr 22 14:16:36 Fedora17 abrt[2283]: Saved core dump of pid 1277 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-04-22-14:16:35-1277 (64233472 bytes)

xsession_errors:
:** (nautilus:1277): WARNING **: Can not calculate _NET_NUMBER_OF_DESKTOPS
:** (nautilus:1277): WARNING **: Can not calculate _NET_NUMBER_OF_DESKTOPS
:** (nautilus:1277): WARNING **: Can not get _NET_WORKAREA
:** (nautilus:1277): WARNING **: Can not determine workarea, guessing at layout
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_is_shadowed: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_volume: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_default_location: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_file_is_native: assertion `G_IS_FILE (file)' failed
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GMount'
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_default_location: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_icon: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_file_get_uri: assertion `G_IS_FILE (file)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_name: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_file_get_parse_name: assertion `G_IS_FILE (file)' failed
:(nautilus:1277): Gtk-CRITICAL **: gtk_icon_theme_lookup_by_gicon: assertion `G_IS_ICON (icon)' failed
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_default_location: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_icon: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_file_get_uri: assertion `G_IS_FILE (file)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_get_name: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_file_get_parse_name: assertion `G_IS_FILE (file)' failed
:(nautilus:1277): Gtk-CRITICAL **: gtk_icon_theme_lookup_by_gicon: assertion `G_IS_ICON (icon)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_can_eject: assertion `G_IS_MOUNT (mount)' failed
:(nautilus:1277): GLib-GIO-CRITICAL **: g_mount_can_unmount: assertion `G_IS_MOUNT (mount)' failed
Comment 1 Michael Gold 2012-04-22 14:19:14 EDT
Created attachment 579330 [details]
File: backtrace
Comment 2 Michael Gold 2012-04-22 14:19:16 EDT
Created attachment 579331 [details]
File: maps
Comment 3 Michael Gold 2012-04-22 14:19:17 EDT
Created attachment 579332 [details]
File: dso_list
Comment 4 Michael Gold 2012-04-22 14:19:19 EDT
Created attachment 579333 [details]
File: build_ids
Comment 5 Cosimo Cecchi 2012-05-04 16:49:31 EDT
Thanks for the report, this has been fixed upstream in https://bugzilla.gnome.org/show_bug.cgi?id=674659

The fix will be available in Fedora as soon as GNOME 3.4.2 is released (due on May 14th).
Comment 6 Cosimo Cecchi 2012-05-04 16:50:58 EDT
*** Bug 815146 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.